Known bugs in 20.2.1:

 * set-face-font is broken (because query-fontset doesn't exist).
   Hopefully we'll be able to use the work done in Meadow to support
   the new font system in 20.

 * Sometimes when opening a file the buffer is in read-only mode.  The
   files in question are stored in a CVS repository so I suspect that
   there is a problem with vc.el.  (Anders Lindgren <andersl@csd.uu.se>)

 * Select the font menu and immediately close the window when
   appearing.  (I think that I saw this problem in Emacs 19 as well.
   Anders Lindgren <andersl@csd.uu.se>)

    Signaling: (wrong-type-argument stringp nil)
      modify-frame-parameters(#<frame emacs@HOLLY 0x1bb2700> ((font)))
      set-default-font(nil)
      mouse-set-font()
      call-interactively(mouse-set-font)

 * Carriage returns (^Ms) at the end of mail messages when using epop3mail.el.
   Download version 0.9 of epop3mail from the FAQ (2/28/98).

 * The patch to epop3mail strips the carriage returns, but gnus cannot find
   new messages in the rmail file. (Robley Hall <robley.hall1@virgin.net>)

        (setq gnus-select-method '(nntp "news.virgin.net"))
        (setq
                gnus-check-bogus-newsgroups 'nil
                gnus-check-new-newsgroups 'ask-server
                gnus-read-active-file 'some
        )
        (setq nnmail-spool-file "~/RMAIL")
        (setq gnus-secondary-select-methods '((nnml "")))

 * ange-ftp does not seem to work (Chris Szurgot <szurgot@series2000.com>)

 * Setting modeline colors in default-frame-alist does not seem to work
   (Chris Szurgot <szurgot@series2000.com>)

   (setq default-frame-alist
        '((width . 80) (height . 41)
          (top . 50) (left . 50)
          (menu-bar-lines . 1)
          (cursor-color . "white")
          (cursor-type . box)
          (face-foreground 'modeline "black")
          (face-background 'modeline "white")))

 * hideshow.el reports error messages when byte-compiling files

   (add-hook 'emacs-lisp-mode-hook 'hs-minor-mode)
   ...
   File mode specification error: (wrong-type-argument listp t)

   (lektu@lander.es (Juanma Barranquero))

 * The rightmost characters are redrawn when the line is wrapped on the screen.
   To Repeat: Start emacs. Resize the window small enough so a line is
   continued. Overlay the Emacs window with another application. Alt-Tab
   back to Emacs. Notice that the 2 right most characters are
   redrawn. Hit Ctrl-L to refresh the screen and they reappear.
   ("Kevin Greiner" <kgreiner@geosys.com>)

 * Syntax highlighting does not seem to work correctly with // comments in
   C++ and Java modes ("Dmitry Yaitskov" <dyaitskov@insystems.com>)

 * ksh now echoes ^Ms in interactive shells.  
   (William L Anderson <wla@wc.mc.xerox.com>)

 * Emacs ignores WM_GETMINMAXINFO minimum tracking size.
   ("Juanma Barranquero" <barranquero@laley-actualidad.es>)

 * When closing down, Emacs causes the icons in the system tray to disappear.
   Happens every two or three times.   Not necessarily related to Emacs, more
   likely IE4.01.  (Chris Searle <chris@mail.demon.net>)

 * Loading the standard package msb.el (a customized mouse-buffer-menu)
   and then activating msb-sort-files-by-directory causes NTEmacs to hang
   if you open two files in different drives.  
   (lektu@lander.es (Juanma Barranquero))

 * A bug in expand-file-name:

   (expand-file-name "//marshall/homes/Gnu/foo.bar" "/ike:/home/lsmith/temp/boo.bar")
   "marshall/homes/Gnu/foo.bar"


   If I'm in the buffer of a file named //marshall/homes/foo.bar
   and type C-x d /ike:/home/lsmith
   and I get the following:

   /ike:/home/lsmith/marshall/homes/home/lsmith:
   /home/lsmith/marshall/homes/home/lsmith/.: No such file or directory


   When I'm in a buffer for /ike:foo.bam, and do
   C-x d //marshall/homes/Gnu,
   I get
   Use C-u M-x make-dir RET RET to create directory and its parents

   (Larry Smith <lsmith@cio2000.eds.com>)

 * The Exceed rgb.txt file confuses Emacs (e.g., when placed in your
   HOME directory).  ("Lolo LaSida" <lolo@lasida.com>)

 * (Vardhan@BitSmart.Com)
   1. frequently, while trying to kill a buffer message appears:
   >> Selecting deleted buffer and buffer is not deleted.

   2.when rmail gets new mail ( from linux pop server ), it says
   "args out of range [#<marker 1 ......], and displays the rmail
   buffer with all lines ending in ^M. if i kill the rmail buffer
   and reopen it, all proceeds well.

 * When compiling from source, dumping fails due to a lack of
   pure storage ("Pure Lisp storage exhausted").  The variable that
   controls this is SYSTEM_PURESIZE_EXTRA in src\s\ms-w32.h.
   It's value is now 50000; changing it to 70000 worked for one user.

 * (Steve Yegge <stevey@mailhost.wolfenet.com>)

  To reproduce the bug:

        - use Control Panel->Keyboard->Input Locales to install an
          international keyboard layout that has "dead-keys", such
          as German(Standard).  A dead-key is a key that will delay
          producing a character until it sees the next key you type;
          it's used to add various accents to certain characters.

        - set another application (e.g. Internet Explorer) to use
          the international layout (e.g. German Standard)

        - set Emacs to use the US-english layout

        - hit a "dead-key" in the other application, such as "^",
          which on the German keyboard is to the left of the US 1-key.

        - switch the focus to Emacs and hit any key, such as a 'q'

  On my system, Emacs just "goes away" - an immediate crash/shutdown.

 * (andy.ling@quantel.co)
   When I run ediff the control window appears in the bottom right corner
   of the screen. Looking at ediff-wind.el it uses the top and left
   frame parameters to calculate where to put this window.

 * ediff and mode-line inverse video ("Yun-Fong Loh" <yun@8x8.COM>) 
   I'm getting a weird side effect after using ediff with 20.2.1.  That is, if
   I use C-x 5 2 (or C-x 5 f) to open a new frame after I use ediff-files, the
   mode line for that new frame is not in inverse video.  I tried playing with
   mode-line-inverse-video but it only affects the frames that were opened
   before I used ediff.

 * fill-paragraph marks the buffer as changed when it does nothing
   ("Callaway, Dave" <dxc@mitron.com>)
